/* ---------------------------------
 Simple:Press
 TinyMCE Editor Plugin Javascript
 ------------------------------------ */

/* ---------------------------------------------
    Open the dropdown editor area
 --------------------------------------------- */
function spjEdOpenEditor() {
         jQuery(document).ready(function() {
                 if(tinyMCE.activeEditor) {
// REMOVED UNTIL BUG IS SORTED BY MOXIE/FIREFOX
//                      tinyMCE.activeEditor.focus();
                 }
         });
}

/* ---------------------------------------------
    Cancels editor - removes any content
 --------------------------------------------- */
function spjEdCancelEditor() {
         var tx = document.getElementById('postitem');
         tx.value = '';

         tinyMCE.activeEditor.setContent('');

         jQuery('#spPostNotifications').html('');
         jQuery('#spPostNotifications').hide();

         if(document.getElementById('previewPost') != 'undefined') {
                 jQuery('#previewPost').html('');
         }
         spjToggleLayer('spPostForm');
}

/* ---------------------------------------------
    Insert content as Quote
 --------------------------------------------- */
function spjEdInsertContent(intro, content) {
         if(jQuery.browser.msie) {
                 tinyMCE.activeEditor.execCommand("mceInsertRawHTML", false, '<blockquote><strong>'+intro+'</strong><br />'+content+'</blockquote><br />');
                 tinyMCE.activeEditor.focus();
         } else {
                 tinyMCE.activeEditor.execCommand("InsertHTML", false, '<blockquote><strong>'+intro+'</strong><br />'+content+'</blockquote><br />');
         }
}

/* ---------------------------------------------
    Insert a Smiley
 --------------------------------------------- */
function spjEdInsertSmiley(file, title, path, code) {
         tinyMCE.execCommand('mceInsertContent',false, '<img src="'+path+file+'" title="'+title+'" alt="'+title+'" />');
}

/* ---------------------------------------------
    Insert an Attachment
 --------------------------------------------- */
function spjEdInsertAttachment(file, title, path, item, width, height) {
         tinyMCE.execCommand('mceInsertContent',false, '<img src="'+path+file+'" title="'+title+'" alt="'+title+'" width="'+width+'" height="'+height+'" />');
}

function spjEdInsertMediaAttachment(file, path, width, height) {
     ext = file.split('.').pop();
     if (ext == 'swf' || ext == 'flv' || ext == 'fla') {
         mt1 = 'mceItemFlash';
         mt2 = 'flash';
     } else if (ext == 'wma' || ext == 'wmv') {
         mt1 = 'mceItemWindowsMedia';
         mt2 = 'windowsmedia';
     } else if (ext == 'rm' || ext == 'rma' || ext == 'ra' || ext == 'rpm') {
         mt1 = 'mceItemRealMedia';
         mt2 = 'realmedia';
     } else {
         mt1 = 'mceItemQuickTime';
         mt2 = 'quicktime';
         }

         h = "<img class=\"mceItemMedia " + mt1 + "\" width=\"" + width + "\" height=\"" + height + "\" data-mce-src=\"" + this.url + "themes/advanced/img/trans.gif\" src=\"" + this.url + "themes/advanced/img/trans.gif\" data-mce-json=\"{'type':'" + mt2 + "','video':{'sources':[]},'params':{'src':'" + path + file + "','autoplay':'false'},'width':'" + width + "','height':'" + height + "'}\" >";

     tinyMCE.execCommand('mceInsertContent', false, h);
}

/* ---------------------------------------------
    Insert text
 --------------------------------------------- */
function spjEdInsertText(text) {
         tinyMCE.execCommand('mceInsertContent',false, text);
}

/* ---------------------------------------------
    Get the current content of the editor
 --------------------------------------------- */
function spjEdGetEditorContent(theForm) {
         return tinyMCE.get('postitem').getContent();
}

/* ---------------------------------------------
    Validate editor content for known failures
 --------------------------------------------- */
function spjEdValidateContent(thisField, errorMsg) {
         var error = "";
         var stuff = tinyMCE.get(thisField.name).getContent();
         if(stuff == '') {
                 error = "<strong>" + errorMsg + "</strong><br />";
         }
         return error;
}

/* ---------------------------------------------
    Get the current content of the signature
 --------------------------------------------- */
function spjEdGetSignature(a) {
         for (var i=0; i<a.length; i++) {
                 if (a[i].name == 'signature') {
                         a[i].value = tinyMCE.get('signature').getContent();
                 }
         }
         return a;
}
