<?php
/*
 Simple:Press
 tinymce init
 $LastChangedDate: 2012-04-22 12:28:03 -0500 (Sun, 22 Apr 2012) $
 $Rev: 8427 $
 */

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

global $sfvars;

# Load up toolbars and plugins
$tm = sp_get_option('tinymce');

$tm['buttons1add'] = sp_check_tb_buttons_add($tm['buttons1add']);
$tm['buttons2add'] = sp_check_tb_buttons_add($tm['buttons2add']);

if ($tm['rtl'] ? $SFDIR='rtl' : $SFDIR='ltr');

echo '<script type="text/javascript" src="'.SPTMTMSCRIPT.'tiny_mce.js"></script>'. "\n";
echo '<script type="text/javascript" src="'.SPTMSPSCRIPT.'sp-tinymce.js"></script>'. "\n";

$contentCSS = sp_find_css(SPTMCONTENTCSS, 'content.css');
$editorCSS = sp_find_css(SPTMCONTENTCSS, 'ui.css');
$popupCSS = sp_find_css(SPTMCONTENTCSS, 'dialog.css');
?>
 <script type="text/javascript">
 tinyMCE.init({
         mode : "exact",
         elements : "postitem, signature",
         theme : "advanced",
         theme_advanced_layout_manager : "SimpleLayout",
     content_css : "<?php echo $contentCSS; ?>",
     editor_css : "<?php echo $editorCSS; ?>",
     popup_css : "<?php echo $popupCSS; ?>",
         skin : "o2k7",
         language : "<?php echo $tm['lang']; ?>",
         directionality : "<?php echo $SFDIR; ?>",
         width : "100%",
         height: <?php if($sfvars['pageview']=='profileedit' ? $h="200" : $h=$tm['height']); echo '"'.$h.'"'; ?>,
         relative_urls : false,
         <?php if(!$tm['relative'])
         { ?>
         convert_urls : false,
         <?php } ?>
         extended_valid_elements: "code",
         apply_source_formatting : true,
         paste_text_use_dialog : true,
         paste_convert_middot_lists : true,
         paste_remove_spans : true,
         paste_remove_styles : true,
         paste_convert_headers_to_strong : true,
         paste_strip_class_attributes : "mso",
         force_p_newlines : true,
         force_br_newlines : false,
         remove_linebreaks: false,
         convert_newlines_to_brs : false,
         remove_redundant_brs : true,
         fix_list_elements : true,
         entities:"38,amp,60,lt,62,gt",
         plugins : "<?php echo apply_filters('sph_add_tm_plugin', $tm['plugins']); ?>",
         theme_advanced_toolbar_location : "top",
         theme_advanced_toolbar_align : "left",
         theme_advanced_statusbar_location: "bottom",
         theme_advanced_resizing : true,
         theme_advanced_resize_horizontal : false,
         theme_advanced_resizing_use_cookie : false,
         theme_advanced_buttons1 : "<?php echo $tm['buttons1']; ?>",
         theme_advanced_buttons2 : "<?php echo $tm['buttons2']; ?>",
         theme_advanced_buttons1_add : "<?php echo $tm['buttons1add']; ?>",
         theme_advanced_buttons2_add : "<?php echo $tm['buttons2add']; ?>",
         plugin_preview_width : "750",
         plugin_preview_height : "400",
         <?php do_action('sph_add_tm_init'); ?>
         gecko_spellcheck: true
 });
 </script>

<?php

$tinyCSS = sp_find_css(SPTMCSS, 'sp-tinymce.css');
echo '<link rel="stylesheet" type="text/css" media="all" href="'.$tinyCSS.'" />';

function sp_check_tb_buttons_add($list) {
         global $sfvars;

     # spoilers allowed?
        if (!sp_get_auth('use_spoilers', $sfvars['forumid'])) {
                 $list = str_replace('spoiler,', '', $list);
                 $list = str_replace('spoiler', '', $list);
         }

         # Any that SP plugins can add?
        $list = apply_filters('sph_add_tm_button', $list);

         return $list;
}

?> 
